Skip to main content
GET
/
v1
/
events
/
{event_id}
Get an event
curl --request GET \
  --url https://api.passu.ai/v1/events/{event_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "type": "EARNINGS",
  "title": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "date": "2023-12-25",
  "fiscal_year": 123,
  "fiscal_quarter": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

event_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required
company_id
string<uuid>
required
type
enum<string>
required

API-layer event type. All endpoints return this, never CorporateEventType directly.

Available options:
EARNINGS,
CONFERENCE,
ANALYST_DAY,
BUSINESS_UPDATE,
CAPITAL_MARKETS_DAY,
SHAREHOLDER_MEETING,
NEWS,
OTHER
title
string
required
updated_at
string<date-time>
required
date
string<date> | null
fiscal_year
integer | null
fiscal_quarter
integer | null